% abstE.m
% berechnet den Abstand eines Punktes P=(x1,x2,x3) von der Ebene 
% E: n1*x+n2*y+n3*z-n0=0 mit Hilfe der Hesseschen Normalform
% FP ... Fupunkt, E=[n1 n2 n3 n0]
% 
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [d]=abstE(n1,n2,n3,n0,P);
% oder:   [d,FP]=abstE(n1,n2,n3,n0,P);
% oder:   [d,FP]=abstE(E,P);

function [d,FP]=abstE(n1,n2,n3,n0,P);

% berprfung die Eingabe betreffend
if nargin == 2
	E=n1;P=n2;
	n1=E(1);n2=E(2);n3=E(3);n0=E(4);
end;

% Berechnung des Abstands mit der Hesseschen Normalform
d=(n1*P(1,1)+n2*P(2,1)+n3*P(3,1)+n0)/(sqrt(n1^2+n2^2+n3^2));

% berprfung der Lsung
if d==0
	disp('Der Punkt ist ein Element der Ebene !');
	FP=P;
	return;
end

% Ausgabe der Lsung
antwort=['Der Abstand ist  ',num2str(d),'.'];
disp(antwort);

% berprfung, ob Fupunkt erwnscht, ev. Berechnung und Ausgabe
if nargout==2
	v=E(1:3);
	[FP]=gEschn(n1,n2,n3,n0,P,v');
end;
