% cramer.m
% berechnet den Schnittpunkt zweier Geraden g und h mittels der 
% Cramer'schen Regel
% g: ax + by = c  ; h: dx + ey = f
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [x,y] = cramer(a,b,c,d,e,f);

function [x,y] = cramer(a,b,c,d,e,f);

% Berechnung der Det.und Prfung auf Existenz des Schnittpunktes
D = det([[a b];[d e]]);
if D==0
        disp('Es existiert kein Schnittpunkt !'); 
        return;
end;
Dx = det([[c b];[f e]]);
Dy = det([[a c];[d f]]);
x = Dx/D;
y = Dy/D;

% Ausgabe der Lsung
A=['Der Schnittpunkt ist S=(',num2str(x),' / ',num2str(y),').'];
disp(A)
end;
