% ebensch.m 
% schneidet 2 Ebenen mittels durchprogrammierter Gausselimination
% E1: n1*x + n2*y + n3*z = n0
% E2: m1*x + m2*y + m3*z = m0
% E1=[n1 n2 n3 n0]
% E2=[m1 m2 m3 m0]
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [P,v] = ebenschn(E1,E2);

function [P,v] = ebenschn(E1,E2);

C=[E1;E2];

% Prfung auf Identitt:
if rank(C)==1,
        disp('Die Ebenen sind ident => Keine Lsung !')
        return;
end;

% Prfung auf Paralellitt:  
C1=[C(1,1:3);C(2,1:3)];
if rank(C1)==1
        disp('Die Ebenen sind paralell => Keine Lsung !')
        return;
end;

% Berechnung der Geradengleichung
% mittels Gausselimination:
lambda = -(C(1,1)/C(2,1));
for i = 1:4
        D(1,i) = C(1,i)+lambda*C(2,i);
end;
P(1,3) = 0;
v(1,3) = 1;
P(1,2) = D(1,4)/D(1,2);
v(1,2) = -(D(1,3)/D(1,2));
P(1,1)=(E1(1,4)-(E1(1,2)*D(1,4)/D(1,2)))/E1(1,1);
v(1,1)=1/E1(1,1)*(E1(1,2)*D(1,3)/D(1,2)-E1(1,3));

% Darstellung der Lsung:
disp('Die Ebenen schneiden sich in einer Geraden g:');
disp('Punkt:')
disp(P')
disp('Vektor:')
disp(v')
