% Ersetzen.m 
% ersetzt die Spalte r der Matrix A durch die Summe
% mit dem m fachen der Spalte p.
%
% Aufruf:  [Y] = ersetzen(A,r,m,p)
%
% Die Abfrage "OK?" erscheint nach dem ERscheinen der Matrix. 
% Wenn die Matrix gefaellt, gibt man "y" oder <ENTER> ein. Falls 
% nicht, tippt man "n" ein und das Programm gibt die Matrix A un-
% veraendert aus.
% Das Programm wurde von mir uebersetzt und stammt von:
% Written by David Lay, University of Maryland, College Park
%       Version: 8/2/93
% (c) David C. Lay, 1993
%
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%

function [Y] = ersetzen(A,r,m,p)                   

if nargin~=4
  disp(setstr(7)), disp('Richtiger Aufruf: Y = replace(A,r,m,p)')
  disp('Ersetzt die Spalte r duch die Summe mit dem m-fachen derSpalte p.')
  return
end
if m==0
  error('m musz ungleich 0 sein !')
end
[rows cols]=size(A);
if (min(r,p)<1 | max(r,p)>rows)
  error('Aufruf: replace(A,r,m,p) , wobei r und p Spaltenindizes sind.')
end
Y=A;
Y(r,:) = Y(r,:) + m*Y(p,:);
temp=Y
x = input('OK? y/n [y]:','s');
if isempty(x)
  x = 'y'
end
if x=='y' | x=='Y'
  return
else
   Y=A;                         %Ausgabe der Originalmatrix                                
end
