% g2schn.m
% schneidet zwei Geraden im Raum, im Fall von windschiefen Geraden wird der 
% Abstand dieser beiden bestimmt.
% g: X=P+t*v
% h: X=Q+s*w
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [S]=g2schn(P,v,Q,w);

function [S]=g2schn(P,v,Q,w);

% Zuerst wird die Angabe untersucht, anschlieend der passende 
% Lsungsalgorithmus ausgefhrt

% berpruefung auf Identitaet oder Parallelitaet
if rank([v,w])~=2
	disp(' ');
	disp('Die Geraden sind ident oder parallel !');
	return;
end

% berprfung auf Schnittpunkt
M=[[v(1,1) -w(1,1)];[v(2,1) -w(2,1)]];
B=[(Q(1,1)-P(1,1));(Q(2,1)-P(2,1))];
T=M^(-1)*B;
SCH=P+T(1,1)*v;
if P(3,1)+T(1,1)*v(3,1)==Q(3,1)+T(2,1)*w(3,1)
	antwort=['Die Geraden schneiden sich im Punkt S=(',num2str(SCH(1,1)),'/',num2str(SCH(2,1)),'/',num2str(SCH(3,1)),').'];
	disp(' ');
	disp(antwort);
	return;
end

% Es liegen windschiefe Geraden vor, also wird der Abstand bestimmt
% Zuerst wird die Ebene von Parameter- in Gleichungsform umgewandelt
disp('Die Geraden sind windschief !');
[N]=parglE(P,v,w);

% Abschlieend wird  der Abstand des Punkts Q von der Ebene bestimmt
% Die Ausgabe bernimmt das Programm abstE.m
disp(' ');
[d]=abstE(N(1,1),N(1,2),N(1,3),-N(1,4),Q);
