% gerschn.m
% realisiert den Schnitt von zwei Geraden g und h in Gleichungsform mittels 
% Gausselimination: 
% g: ax + by = c ; h: dx + ey = f
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: [x,y] = gersch(a,b,c,d,e,f);

function [x,y] = gersch(a,b,c,d,e,f);

% Berechnung des Schnittpunkts und Prfung auf Sinnhaftigkeit
n = (b/a-e/d);
if n==0
        disp('Es existiert kein Schnittpunkt !');
return;
end;
y=(c/a-f/d)/n;
x=c/a-(b/a)*y;

% Formatierte Ausgabe des Schnittpunkts S
A = ['Der Schnittpunkt ist S=(',num2str(x),' / ',num2str(y),' ).'];
disp(A);

