% gEschn.m 
% schneidet eine Ebene in Normalvektorform mit einer Gerade in Parameterform
% Ebene: n1x+n2y+n3z=n0
% Gerade: X=P+t*v
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [S]=gEschn(n1,n2,n3,n0,P,v);

function [S]=gEschn(n1,n2,n3,n0,P,v);

% Berechnung des Skalars t=a/b.
a=(n0 -n1*P(1,1)-n2*P(2,1)-n3*P(3,1));
b=(n1*v(1,1)+n2*v(2,1)+n3*v(3,1));

% berprfung der Lsung und Ausgabe
if a==0
        disp('Die Lsung ist ein Element der Ebene !');
S=P
return
end
if b==0 
        disp('Es existiert keine Lsung !');
return
end
if a==0|b==0 
        disp('Die Gerade liegt in der Ebene !');
return
end

% Ausgabe der Lsung
disp('Der Schnittpunkt:');
S=(P+(a/b)*v);


