% kreuz.m
% berechnet das Kreuzprodukt von 2 Vektoren im Raum.
% a,b...Vektoren
% nv....Normalvektor
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewdhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [nv] = kreuz(a,b); oder
%          nv  = kreuz(P,Q,R); mit 3 gegebenen Punkten 

function [nv] = kreuz(a,b); 

if nargin == 3;   a = P - Q;  b = R - Q; end; 

% Berechnung des Normalvektors:
nv(1,1)=  a(2,1)*b(3,1)-a(3,1)*b(2,1);
nv(2,1)=-(a(1,1)*b(3,1)-a(3,1)*b(1,1));
nv(3,1)=  a(1,1)*b(2,1)-a(2,1)*b(1,1);

