% sss.m
% Trigonometrie im schiefwinkeligen Dreieck, als Angabe dienen
% die drei Seiten des Dreiecks
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewdhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [winkel1,winkel2,winkel3] = sss(Seite1,Seite2,Seite3);

function [winkel1,winkel2,winkel3] = sss(Seite1,Seite2,Seite3);

% Berechnung von Winkel1 mit Hilfe des Cosinussatzes
Winkel1 = acos((Seite1^2-Seite2^2-Seite3^2)/((-2)*Seite2*Seite3));
Winkel2 = asin(sin(Winkel1)*Seite2/Seite1);
Winkel3 = pi - (Winkel1 + Winkel2 );

% Umrechnung von Rad in Grad und Ausgabe der Daten
winkel1 = Winkel1*180/pi;
winkel2 = Winkel2*180/pi;
winkel3 = Winkel3*180/pi;
x=['Winkel1 = ',num2str(winkel1),'x'];disp(x);
x=['Winkel2 = ',num2str(winkel2),'x'];disp(x);
x=['Winkel3 = ',num2str(winkel3),'x'];disp(x);

% Berechnung der Fldche
flaeche(Seite2,Seite3,Winkel1);
figure(1);

% Grafikausgabe
dreiplot(Seite2,Seite3,Winkel1);
xlabel('x-Achse');
ylabel('y-Achse');
title('SSS-Fall');
