% ssw.m
% Trigonometrie im schiefwinkeligen Dreieck, als Angabe dienen zwei Seiten 
% und ein anliegender Winkel
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%
% Aufruf: [Seite3,winkel2,winkel3] = ssw(Seite1,Seite2,winkel1)

function [Seite3,winkel2,winkel3] = ssw(Seite1,Seite2,winkel1)

% Berechung der fehlenden Winkel
Winkel1 = pi*winkel1/180;
Winkel2 = asin(sin(Winkel1)*Seite2/Seite1);
Winkel3 = pi - ( Winkel1 + Winkel2 );

% Berechnung der fehlenden Seite und Umrechnung der Winkel in Grad
% sowie Ausgabe der Daten und Grafik
Seite3 = sqrt(Seite1^2+Seite2^2-2*Seite1*Seite2*cos(Winkel3));
winkel2 = Winkel2 * 180 / pi;
winkel3 = Winkel3 * 180 / pi;
x=['Seite3 =  ',num2str(Seite3),''];disp(x);
x=['Winkel2 = ',num2str(winkel2),' '];disp(x);
x=['Winkel3 = ',num2str(winkel3),' '];disp(x);

% Berechnung der Flche
flaeche(Seite2,Seite3,Winkel1);
figure(1);

% Grafikausgabe
figure(1);
dreiplot(Seite2,Seite3,Winkel1);
xlabel('x-Achse');
ylabel('y-Achse');
title('SSW-Fall');
