% sws.m
% Trigonometrie im schiefwinkeligen Dreieck, als Angabe dienen zwei Seiten 
% und der eingeschlossene Winkel
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: [Seite3,winkel1,winkel2] = sws(Seite1,winkel3,Seite2) 

function [Seite3,winkel1,winkel2] = sws(Seite1,winkel3,Seite2) 

% Berechnung der fehlenden Seite und der Winkel 
Winkel3 = winkel3*pi/180;
Seite3 = sqrt(Seite1^2+Seite2^2-2*Seite1*Seite2*cos(Winkel3));
Winkel2 = asin((sin(Winkel3)*Seite2/Seite3));
Winkel1= pi - (Winkel2 + Winkel3);

% Umrechnung der Winkel von Rad in Grad
winkel1 = Winkel1 * 180 / pi;
winkel2 = Winkel2 * 180 / pi;
x=['Seite3 =  ',num2str(Seite3),''];disp(x);
x=['Winkel1 = ',num2str(winkel1),' '];disp(x);
x=['Winkel2 = ',num2str(winkel2),' '];disp(x);

% Berechnung der Flche
flaeche(Seite2,Seite3,Winkel1);
figure(1);

% Grafikausgabe
figure(1);
dreiplot(Seite2,Seite3,Winkel1);
xlabel('x-Achse');
ylabel('y-Achse');
title('SWS-Fall');
