% tausch.m  
% vertauscht die Spalte r mit der Spalte s  der Matrix A
%
% Aufruf:  Y = tausch(A,r,s)
%
% Das Programm wurde von mir uebersetzt und stammt von:
% Written by David Lay, University of Maryland, College Park
%       Version: 8/2/93
% Copyright (c) 1993 David C. Lay
%
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
%

function Y = tausch(A,r,s)                            

if nargin~=3
  error('Aufruf: Y = swap(A,r,s) , wobei r und s Spaltenindizes sind.')
end
[rows cols] = size(A);
if (min(r,s)<1 | max(r,s)>rows)
  error('Die Spaltenindizes passen nicht zur Eingabematrix!')
end
Y = A;
Y([s r],:) = A([r s],:);

