% wsw.m
% Trigonometrie im schiefwinkeligen Dreieck, als Angabe dienen eine 
% Seite und die beiden alnliegenden Winkel
%
% (c) in 1997 by Andreas M. Wenth
% Zur Diplomarbeit: 
% "Bearbeitung und Visualisierung ausgewhlter Kapitel der linearen 
% analytischen Geometrie mit dem Softwarepaket MATLAB"
% 
% Aufruf: [Seite1,Seite2,winkel3] = wsw(winkel1,Seite3,winkel2)

function [Seite1,Seite2,winkel3] = wsw(winkel1,Seite3,winkel2)

% Berechnung des fehlenden Winkels 
Winkel1 = pi*winkel1/180;
Winkel2 = pi*winkel2/180;
Winkel3 = pi -(Winkel1 + Winkel2);

% Berechnung der fehlenden Seiten und Umrechnung in Grad
% sowie Ausgabe der Daten und Grafik
Seite2 = Seite3 * sin(Winkel2)/sin(Winkel3);
Seite1 = Seite3 * sin(Winkel1)/sin(Winkel3);
winkel3 = Winkel3 * 180 / pi;
x=['Seite1   =  ',num2str(Seite1),''];disp(x);
x=['Seite2   =  ',num2str(Seite2),''];disp(x);
x=['Winkel3 = ',num2str(winkel3),' '];disp(x);

% Berechnung der Flche
flaeche(Seite2,Seite3,Winkel1);
figure(1);

% Grafikausgabe
figure(1);
dreiplot(Seite2,Seite3,Winkel1);
xlabel('x-Achse');
ylabel('y-Achse');
title('WSW-Fall');

